package main

import (
	"log"
	"matrix-scores-bot/config"
	"matrix-scores-bot/matrixbot"

	mautrix "maunium.net/go/mautrix"
	"maunium.net/go/mautrix/id"
)

func main() {
	cfg := config.Load()

	// Initialize Matrix client with homeserver URL, bot user ID, and access token
	client, err := mautrix.NewClient(cfg.Homeserver, id.UserID(cfg.UserID), cfg.AccessToken)
	if err != nil {
		log.Fatalf("Failed to create Matrix client: %v", err)
	}

	bot := matrixbot.NewBot(client)
	log.Println("Matrix sports bot started...")
	if err := bot.Start(); err != nil {
		log.Fatalf("Bot failed: %v", err)
	}
}
